View Issue Details

IDProjectCategoryView StatusLast Update
0006896Talerbank (demonstrator)public2021-06-03 11:11
ReporterChristian Grothoff Assigned ToMS  
PriorityhighSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.9Fixed in Version0.9 
Summary0006896: 'wire transfer' dialog ugly and broken
DescriptionThe new dialog for 'manual' wire transfers between accounts is broken. I can try to type in a payto URI like

payto://x-taler-bank/bank.test.taler.net/exchange?message=foo&amount=TESTKUDOS:1.0

but it does not work, I just get a (badly rendered) error message.

Also, in the past we had a much nicer dialog that auto-completed account names, and didn't expect me to re-type the bank base URL inside of a payto URL or all of the other syntactic gunk of a payto://-URI.

It's OK to _also_ support payto://-URIs, but we should not ONLY support those. And, they must then actually work.

I'm fine with this functionality having moved onto a separate page, but it should at least
(1) still be easy to do such a transfer, and
(2) not require payto:// (it can be an option).
TagsNo tags attached.

Activities

MS

2021-05-30 00:09

manager   ~0017935

The "payto" address you wrote has the money receiver specified as a name, whereas the current version requires a number. I tried it right now on bank.test.taler.net by replacing "exchange" with a account _number_, and it worked.

That said, is the error message you mention that one rectangular balloon saying "please match the requested format"? Or it is something else?

Christian Grothoff

2021-05-30 00:35

manager   ~0017936

Yes, that's the error message. It should be placed more nicely. Also, users have no good way to learn their account numbers, and in principle payto://-URIs can and should use the names of the accounts, so we should support using the names.
And again, it would be best to have entering a payto://-URI as one option, but to generally have the simpler "target amount + account (name) + subject" entry back as well.

MS

2021-06-02 10:55

manager   ~0017940

Up to this commit: 9d87bacdb483e2ac74da1de7b6afc2833c78f5f4, the bank allows the specification of payment receiver via their usernames.

MS

2021-06-03 10:14

manager   ~0017941

The bug is mostly addressed, except that it doesn't autocomplete on account names. That's intentional, for the following reasons:

1. Why telling users which other users exist in the system?
2. Requires non trivial logic for a little gain.
3. Placing a element carrying a huge list of usernames next to the wire transfer form is eye-unfriendly.

If OK with the three points above, this bug can be closed.

Christian Grothoff

2021-06-03 11:11

manager   ~0017942

Sounds good.

Issue History

Date Modified Username Field Change
2021-05-29 23:32 Christian Grothoff New Issue
2021-05-29 23:32 Christian Grothoff Status new => assigned
2021-05-29 23:32 Christian Grothoff Assigned To => MS
2021-05-30 00:09 MS Note Added: 0017935
2021-05-30 00:35 Christian Grothoff Note Added: 0017936
2021-06-02 10:55 MS Note Added: 0017940
2021-06-03 10:14 MS Note Added: 0017941
2021-06-03 10:25 MS Status assigned => feedback
2021-06-03 11:11 Christian Grothoff Status feedback => resolved
2021-06-03 11:11 Christian Grothoff Resolution open => fixed
2021-06-03 11:11 Christian Grothoff Fixed in Version => 0.9
2021-06-03 11:11 Christian Grothoff Note Added: 0017942